Index: abi/src/af/util/xp/ut_iconv.cpp
--- abi/src/af/util/xp/ut_iconv.cpp.orig	2003-12-28 12:24:14.000000000 +0100
+++ abi/src/af/util/xp/ut_iconv.cpp	2003-12-28 12:31:24.000000000 +0100
@@ -67,7 +68,7 @@
 #if defined (WIN32) || defined(__QNXNTO__) || defined(__CYGWIN__) ||  \
 (defined (__MACH__) && defined (__APPLE__)) || \
 (defined(TARGET_OS_MAC) && TARGET_OS_MAC) || \
-defined (__AIX__) || \
+defined (__AIX__) || defined(__FreeBSD__) || \
 (defined(__linux__) && defined(__powerpc__) && (__GLIBC__ <= 2) && (__GLIBC_MINOR__ <= 1))
 
 #define ICONV_CONST const


Steve G <linux_4ever@yahoo.com>
Libpng accesses memory that is out of bounds when creating an error message

Index: pngerror.c
--- libpng/pngerror.c.orig	2002-10-03 13:32:27.000000000 +0200
+++ libpng/pngerror.c	2004-04-28 13:24:22.000000000 +0200
@@ -135,10 +135,13 @@
       buffer[iout] = 0;
    else
    {
+      png_size_t len;
+      if ((len = png_strlen(error_message)) > 63)
+          len = 63;
       buffer[iout++] = ':';
       buffer[iout++] = ' ';
-      png_strncpy(buffer+iout, error_message, 63);
-      buffer[iout+63] = 0;
+      png_memcpy(buffer+iout, error_message, len);
+      buffer[iout+len] = 0;
    }
 }
 
Index: wv/configure.ac
--- wv/configure.ac.orig	2004-11-30 02:10:14 +0100
+++ wv/configure.ac	2005-01-13 15:12:22 +0100
@@ -77,7 +77,7 @@
 dnl AC_TYPE_SIGNAL
 dnl AC_FUNC_WAIT3
 
-AC_CHECK_HEADERS(fcntl.h io.h malloc.h sys/file.h sys/ioctl.h unistd.h)
+AC_CHECK_HEADERS(fcntl.h io.h malloc.h sys/file.h sys/ioctl.h sys/types.h unistd.h)
 
 dnl Checks for typedefs, structures, and compiler characteristics.
 
Index: wv/configure
--- wv/configure.orig	2004-11-30 02:10:13 +0100
+++ wv/configure	2005-01-13 15:12:33 +0100
@@ -1262,7 +1262,7 @@
 fi
 
 
-for ac_hdr in fcntl.h io.h malloc.h sys/file.h sys/ioctl.h unistd.h
+for ac_hdr in fcntl.h io.h malloc.h sys/file.h sys/ioctl.h sys/types.h unistd.h
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
Index: wv/libole2/ms-ole.h
--- wv/libole2/ms-ole.h.orig	2005-01-13 15:14:57 +0100
+++ wv/libole2/ms-ole.h	2005-01-13 15:17:01 +0100
@@ -11,24 +11,26 @@
 #ifndef MS_OLE_H
 #define MS_OLE_H
 
+/* #include <libole2-config.h> */
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
 #ifdef __cplusplus
 extern "C" {
 #endif
 
 /* This should be done in glib */
 #if !defined(_WIN32) || defined(__CYGWIN__)
-#if defined(__QNXNTO__)
-# include <sys/types.h>	
-#endif
-# include <fcntl.h>       /* for mode_t */
-#else
-# include <stdlib.h>
-#if defined(__MINGW32__) || defined(__WINE__)
+#if defined HAVE_SYS_TYPES_H
 # include <sys/types.h>
 #else
 	typedef unsigned long mode_t;
 	typedef long off_t;
 #endif
+# include <fcntl.h>       /* for mode_t */
+#else
+# include <stdlib.h>
 #ifndef _SSIZE_T_
 	typedef size_t ssize_t;
 #endif
Index: abi/src/af/util/xp/ut_uuid.cpp
--- abi/src/af/util/xp/ut_uuid.cpp.orig	2004-08-20 00:10:08 +0200
+++ abi/src/af/util/xp/ut_uuid.cpp	2005-08-13 14:21:55 +0200
@@ -368,7 +368,7 @@
              * with IEEE 802 addresses obtained from
              * network cards
              */
-            s_node[0] |= 0x80;
+            s_node[0] |= 0x01;
         }
         s_bInitDone = bRet;
     }
